package downloadhandler

type OnDownloadEventHandler interface {
	OnTickEvent(downloadId string, progress string)
}

type DownloadHandler interface {
	OnProgress(eventHandler OnDownloadEventHandler)
	Download(link string, outputDir string, downloadId string) error
}
