package download

import (
	"context"
	"downloader/internal/core/entities"
)

type Service interface {
	Schedule(ctx context.Context, link string) (*entities.Download, error)
	Get(ctx context.Context, id string) (*entities.Download, error)
	GetAll(ctx context.Context, active bool) ([]*entities.Download, error)
	GetDone(ctx context.Context) ([]*entities.Download, error)
}
